ChargebeeAPI
Using AI coding agents like Claude Code or Cursor? Try the official Chargebee Agent Skills to speed up your development.Try now

Subscription renewal estimate

Try in API Explorer

This returns an estimate of the amount that will be charged when the subscription is billed next. The estimate is calculated based on the current recurring items of the subscription - plan, addons, and coupons.

In the response,

  • estimate.subscription_estimate has the current subscription details like its status, next billing date, and so on.

estimate.invoice_estimate has details of the invoice that will be generated at the next billing date.

The generated invoice estimate will include all the balances - Promotional Credits , Refundable Credits, and Excess Payments - if any. If you don't want these balances to be included you can specify 'false' for the parameter use_existing_balances .

To exclude the delayed charges from the invoice estimate, specify 'false' for the parameter include_delayed_charges .

Note:

  • This API will not generate a renewal invoice if an advance invoice is already present for the subscription.
  • For 'Non Renewing' subscriptions, only the delayed charges will be included in the invoice estimate.
  • This API is not supported for 'Cancelled' subscriptions.
  • Only the subscription's charges will be included. If you have enabled the Consolidated invoicing feature, use the Upcoming Invoices estimate available for the Customer object to get the actual estimate invoice for the customer.

Sample Request

URL Format

GET https://[site].chargebee.com/api/v2/subscriptions/{subscription-id}/renewal_estimate

Input Parameters

include_delayed_charges
optional, boolean, default=true

If true, all the unbilled charges will be included for the invoice estimate.

use_existing_balances
optional, boolean, default=true

The generated invoice_estimate/next_invoice_estimate will include all the balances - Promotional Credits, Refundable Credits, and Excess Payments - if any. If you don't want these balances to be included you can specify 'false' for the parameter use_existing_balances.

ignore_scheduled_cancellation
optional, boolean, default=false

if true, ignores scheduled cancellation for non renewing subscription.

ignore_scheduled_changes
optional, boolean, default=false

If true, ignores all recurring charges scheduled during renewal.

exclude_tax_type
optional, enumerated string, default=none

Indicates whether tax calculation should be excluded for the operation. This attribute is applicable only when a third-party tax provider is configured. If no such provider is set up, this parameter will be ignored.

Possible Enum Values
exclusive
none

Returns

estimateEstimate object
Resource object representing estimate